<?php
class HTTPException extends Exception {}
class BadRequestException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 400);
	}
}
class UnauthorizedException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 401);
	}
}
class PaymentRequiredException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 402);
	}
}
class ForbiddenException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 403);
	}
}
class NotFoundException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 404);
	}
}
class MethodNotAllowedException extends HTTPException {
	function __construct($message) {
		parent::__construct($message,405);
	}
}
class NotAcceptableException extends HTTPException {
	function __construct($message) {
		parent::__construct($message,406);
	}
}
class RequestTimeoutException extends HTTPException {
	function __construct($message) {
		parent::__construct($message,408);
	}
}
class ConflictException extends HTTPException {
	function __construct($message) {
		parent::__construct($message,409);
	}
}
class GoneException extends HTTPException {
	function __construct($message) {
		parent::__construct($message,410);
	}
}
class LengthRequiredException extends HTTPException {
	function __construct($message) {
		parent::__construct($message,411);
	}
}
class PreconditionFailedException extends HTTPException {
	function __construct($message) {
		parent::__construct($message,412);
	}
}
class UnsupportedMediaTypeException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 415);
	}
}
class ExpectationFailedException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 417);
	}
}
class InternalServerException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 500);
	}
}
class NotImplementedException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 501);
	}
}
class GatewayException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 502);
	}
}
class ServiceUnavailableException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 503);
	}
}
class HTTPVersionException extends HTTPException {
	function __construct($message) {
		parent::__construct($message, 505);
	}
}